Bug 74215 - Up2date -u Fails On Initial Update After Installing Null
Up2date -u Fails On Initial Update After Installing Null
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-17 20:26 EDT by Bob Cochran
Modified: 2015-01-07 19:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-17 20:26:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Cochran 2002-09-17 20:26:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
Up2date hangs the very first time it is run as 'up2date -u' following a network
installation of 'null'. It appears to proceeed fine until it hits the OpenOffice
packages. Then it hangs during the download of either the second or third of
these packages.

If you cancel the hung session and rerun 'up2date -u', it responmds with a segfault.

If you update up2date to up2date version 2.9.68-1 (by running 'up2date -u
up2date') and then run 'up2date -u', the following python error results:

[root@lr root]# up2date -u

Fetching package list for channel: redhat-beta-null-i386...
########################################

Fetching Obsoletes list for channel: redhat-beta-null-i386...
########################################

Fetching rpm headers...
#######################################
Testing package set / solving RPM inter-dependencies...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 798, in ?
    main()
  File "/usr/sbin/up2date", line 570, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 734, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 62, in run
    self.__dryRun()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 116, in __dryRun
    self.percentCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 418, in dryRun
    rc = depsolve.run()
  File "/usr/share/rhn/up2date_client/depSolver.py", line 473, in run
    self.ts.setProbFilter(rpm.RPMTRANS_FLAG_BUILD_PROBS)
AttributeError: setProbFilter
[root@lr root]#


 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install null from NFS-based iso images.
2. Immediately run 'up2date -u'. A few hundred Mb worth of packages will be
downloaded.
3. When up2date hits the OpenOffice packages, it hangs on either the second or
third package download.
4. Cancel download; attempt to rerun up2date.
5. Segfault results.
6. Run up2date -u up2date thus updating to u2date 2.9.68-1.
7. Attempt to run 'up2date -u' again.
8. A python error results.
7. 
	

Actual Results:  Segfaults and python errors. Unable to update the 'null'
distribution using up2date.

Expected Results:  I should have been able to update a few hundred packages
using up2date.

Additional info:

This behaviour is on a system running a brand new Imtel 2.80 Ghz Pentium 4 chip
on an Asus P4T533 motherboard. Western Digital WD1200JB (120 Gb) primary hard
drive ss /dev/hda. 512 Mb RAM. The machine is built by me. To the best of my
knowledge, the only hardware issus with his machine to date is that I cannot get
'null' to see a Western Digital WD1200JB (120 Gb) hard drive which is plugged
into the primary RAID IDE connector and with RAID_SW turned off via the jumper.
Comment 1 Adrian Likins 2002-10-01 17:35:34 EDT
You need a newer version of rpm Installed.

That version of up2date had a slightly out of
date dep on the version of rpm installed.

This is corrected in the versions for 8.0

Note You need to log in before you can comment on or make changes to this bug.